Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/share/misc Add a script to update the countries ISO/FIPS list.
details: https://anonhg.NetBSD.org/src/rev/3e99de13c256
branches: trunk
changeset: 750061:3e99de13c256
user: christos <christos%NetBSD.org@localhost>
date: Tue Dec 15 03:38:58 2009 +0000
description:
Add a script to update the countries ISO/FIPS list.
diffstat:
share/misc/Makefile | 5 +++-
share/misc/make.country | 56 +++++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 60 insertions(+), 1 deletions(-)
diffs (77 lines):
diff -r 0391ce2a66e3 -r 3e99de13c256 share/misc/Makefile
--- a/share/misc/Makefile Tue Dec 15 03:02:24 2009 +0000
+++ b/share/misc/Makefile Tue Dec 15 03:38:58 2009 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.33 2008/10/25 22:27:36 apb Exp $
+# $NetBSD: Makefile,v 1.34 2009/12/15 03:38:58 christos Exp $
# @(#)Makefile 8.1 (Berkeley) 6/8/93
NOOBJ= # defined
@@ -27,4 +27,7 @@
update-na.phone:
< /dev/null ${TOOL_AWK} -f nanpa.awk > na.phone
+update-country:
+ ${.CURDIR}/make.country > country
+
.include <bsd.prog.mk>
diff -r 0391ce2a66e3 -r 3e99de13c256 share/misc/make.country
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/share/misc/make.country Tue Dec 15 03:38:58 2009 +0000
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+hdr() {
+echo '#' '$'NetBSD'$'
+cat << _EOF
+#
+# ISO 3166-1 Country Codes
+#
+# The format of an entry is:
+# <Name><TAB><Alpha-2-code><TAB><Alpha-3-code><TAB><Numeric-3-code><TAB><FIPS>
+#
+# Further information can be found at the ISO 3166 Maintenance Agency
+# (ISO 3166/MA) web site,
+# <http://www.iso.org/iso/en/prods-services/iso3166ma/index.html>.
+#
+# FIPS 10-4 codes compiled from several sources, including
+# http://www.statoids.com/wab.html
+#
+# ISO 3166-1 entities without exactly one corresponding FIPS code have a
+# blank entry in the column. FIPS 10-4 codes without a corresponding
+# ISO 3166-1 entity are excluded.
+#
+# This list is up-to-date as of $(date +%Y-%m-%d)
+#
+_EOF
+}
+
+I1=http://www.statoids.com/wab.html
+O1=/tmp/wab.$$
+I2=http://www.iso.org/iso/list-en1-semic-3.txt
+O2=/tmp/list.$$
+trap "rm -f wab.html list-en1-semic-3.txt $O1 $O2" 0 1 2 3 15
+ftp $I1
+ftp $I2
+
+grep '<tr class="[oe]">' wab.html |
+sed -e 's,<tr class="."><td>,,g' \
+ -e 's,\ ,,g' \
+ -e 's,<code>,,g' \
+ -e 's,</code>,,g' \
+ -e 's,<br>, ,g' \
+ -e 's,</td><td>, ,g' \
+ -e 's,Å,Aa,g' \
+ -e 's,ô,o,g' \
+ -e 's,</td></tr>,,g' |
+awk -F'\t' '{ printf("%s\t%s\t%s\t%s\t%s\n", $2, $3, $4, $6, $1); }' |
+grep -v href= |
+sort > $O1
+
+grep ';[A-Z][A-Z]' list-en1-semic-3.txt |
+tr -d '\015' |
+awk -F ';' '{ print $2 }' |
+sort > $O2
+
+hdr
+join -t ' ' -o 1.5,1.1,1.2,1.3,1.4 -1 1 -2 1 $O1 $O2 | sort
Home |
Main Index |
Thread Index |
Old Index